Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.sitegraph.model
Class SubGraph

    java.lang.Object
      org.apache.struts2.sitegraph.model.SubGraph

All Implemented Interfaces:
  Render

Direct Known Subclasses:
  Graph

    public class SubGraph

extends java.lang.Object
implements Render

Field Summary
`protected java.lang.String` | `name`
`protected java.util.List` | `nodes`
`protected SubGraph` | `parent`
`protected java.util.List` | `subGraphs`

Constructor Summary
`SubGraph(java.lang.String name)`

Method Summary
`void` | `addNode(SiteGraphNode node)`
`void` | `addSubGraph(SubGraph subGraph)`
`SubGraph` | `create(java.lang.String namespace)`
`java.lang.String` | `getName()`
`java.lang.String` | `getPrefix()`
`void` | `render(IndentWriter writer)`
`void` | `setParent(SubGraph parent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### parent

    protected SubGraph parent

### subGraphs

    protected java.util.List subGraphs

### nodes

    protected java.util.List nodes

Constructor Detail

### SubGraph

    public SubGraph(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

### addSubGraph

    public void addSubGraph(SubGraph subGraph)

### setParent

    public void setParent(SubGraph parent)

### addNode

    public void addNode(SiteGraphNode node)

### render

    public void render(IndentWriter writer)
                throws java.io.IOException

  Specified by:
    `render` in interface `Render`
  Throws:
    `java.io.IOException`

### getPrefix

    public java.lang.String getPrefix()

### create

    public SubGraph create(java.lang.String namespace)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.